Skip to main content
GET
/
api
/
dapp
/
circle
/
messages
/
{domainId}
/
{txHash}
Get Circle Messages
curl --request GET \
  --url https://backend-global.gains.trade/api/dapp/circle/messages/{domainId}/{txHash}
{}

Endpoint

GET /api/dapp/circle/messages/{domainId}/{txHash} Returns Circle CCTP messages for a transaction.

Parameters

ParameterLocationRequiredTypeDescription
domainIdpathYesstringCircle source domain ID.
txHashpathYesstringSource transaction hash.

Usage Example

curl -X GET "https://backend-global.gains.trade/api/dapp/circle/messages/0/0xTRANSACTION_HASH"

Response Structure

The generated API panel lists the response schema for status codes: 200, 500. Error responses generally return an error or message field.

Path Parameters

domainId
string
required

Circle source domain ID.

txHash
string
required

Source transaction hash.

Response

Successful response

The response is of type object.